from django.conf import settings
from django.conf.urls.defaults import *
from remember.models import *
from remember import views as rm_views

# custom views stories
urlpatterns = patterns(
    "remember.views",
    url(r"^$", view=rm_views.index, name="rm-index"),
    url(
        r"^death-announcements/$",
        view=rm_views.announcement_index,
        name="rm-announcement-index",
    ),
    url(
        r"^remembrances/$", view=rm_views.remembrance_index, name="rm-remembrance-index"
    ),
    url(r"^inmemoriams/$", view=rm_views.inmemoriam_index, name="rm-inmemoriam-index"),
    url(r"^services/$", view=rm_views.services_index, name="rm-service-index"),
)
"""	
annou_args = {'date_field': 'published_on', 'queryset': Announcement.objects.published()}

urlpatterns += patterns('django.views.generic.date_based',
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/(?P<slug>[\-\d\w]+)/$', 'object_detail', annou_args, name='rm-announcement-detail'),
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/$', 'archive_day', annou_args, name='rm-announcement-archive-day'),
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/$', 'archive_month', annou_args, name='rm-announcement-archive-month'),
    url(r'(?P<year>\d{4})/$', 'archive_year', annou_args, name='rm-announcement-archive-year'),
)

rememb_args = {'date_field': 'published_on', 'queryset': Remembrance.objects.published()}

urlpatterns += patterns('django.views.generic.date_based',
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/(?P<slug>[\-\d\w]+)/$', 'object_detail', rememb_args, name='rm-remembrance-detail'),
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/$', 'archive_day', rememb_args, name='rm-remembrance-archive-day'),
    url(r'(?P<year>\d{4})/(?P<month>[a-z]{3})/$', 'archive_month', rememb_args, name='rm-remembrance-archive-month'),
    url(r'(?P<year>\d{4})/$', 'archive_year', rememb_args, name='rm-remembrance-archive-year'),
)
"""
